Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sim.util.media.chart
Class SeriesAttributes

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      sim.util.gui.LabelledList
                          sim.util.media.chart.SeriesAttributes

All Implemented Interfaces:
  java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible

Direct Known Subclasses:
  HistogramSeriesAttributes, PieChartSeriesAttributes, ScatterPlotSeriesAttributes, TimeSeriesAttributes

    public abstract class SeriesAttributes

extends LabelledList

The superclass for the series-attributes widgets used by subclasses of ChartGenerator to let the user control individual series' features. SeriesAttributes will be placed in the list at the bottom-left of the ChartGenerator window, and series will be assigned a unique SeriesAttributes to control it.

SeriesAttributes need to override the rebuildGraphicsDefinitions and buildAttributes methods.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JPanel
`javax.swing.JPanel.AccessibleJPanel`

Nested classes/interfaces inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`static javax.swing.ImageIcon` | `I_CLOSE`
`static javax.swing.ImageIcon` | `I_CLOSE_PRESSED`
`static javax.swing.ImageIcon` | `I_DOWN`
`static javax.swing.ImageIcon` | `I_DOWN_PRESSED`
`static javax.swing.ImageIcon` | `I_UP`
`static javax.swing.ImageIcon` | `I_UP_PRESSED`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`SeriesAttributes(ChartGenerator generator, java.lang.String name, int index, SeriesChangeListener stoppable)` Builds a SeriesAttributes with the provided generator, name for the series, and index for the series.

Method Summary
`abstract void` | `buildAttributes()` Constructs the widget by adding items to the LabelledList.
`ChartGenerator` | `getGenerator()` Returns the ChartGenerator holding the series this SeriesAttributes is responsible for.
`java.lang.String` | `getName()` Deprecated. Returns the name of the series.
`Plot` | `getPlot()` Returns the Chart's Plot.
`XYItemRenderer` | `getRenderer()`
`int` | `getSeriesIndex()` Returns the index of the series.
`java.lang.String` | `getSeriesName()`
`SeriesChangeListener` | `getStoppable()`
`boolean` | `isPlotVisible()`
`abstract void` | `rebuildGraphicsDefinitions()` Updates features of the series to reflect the current widget settings as specified by the user.
`java.awt.Color` | `reviseColor(java.awt.Color c, double opacity)` Given an opaque color and a desired opacity (from 0.0 to 1.0), returns a new color of the same tint but with the given opacity.
`void` | `setName(java.lang.String val)` Deprecated. Sets the name of the series.
`void` | `setPlotVisible(boolean val)`
`void` | `setSeriesIndex(int val)` Sets the index of the series -- Do NOT call this if you want to move the series order; instead call moveSeries in the Generator.
`void` | `setSeriesName(java.lang.String val)`
`void` | `setStoppable(SeriesChangeListener obj)`

Methods inherited from class sim.util.gui.LabelledList
`add, add, add, addComponent, addLabelled`

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### I_DOWN

    public static final javax.swing.ImageIcon I_DOWN

### I_DOWN_PRESSED

    public static final javax.swing.ImageIcon I_DOWN_PRESSED

### I_CLOSE

    public static final javax.swing.ImageIcon I_CLOSE

### I_CLOSE_PRESSED

    public static final javax.swing.ImageIcon I_CLOSE_PRESSED

### I_UP

    public static final javax.swing.ImageIcon I_UP

### I_UP_PRESSED

    public static final javax.swing.ImageIcon I_UP_PRESSED

Constructor Detail

### SeriesAttributes

    public SeriesAttributes(ChartGenerator generator,
                            java.lang.String name,
                            int index,
                            SeriesChangeListener stoppable)

  Builds a SeriesAttributes with the provided generator, name for the series, and index for the series. Calls buildAttributes to construct custom elements in the LabelledList, then finally calls rebuildGraphicsDefinitions() to update the series.

Method Detail

### getStoppable

    public SeriesChangeListener getStoppable()

### setStoppable

    public void setStoppable(SeriesChangeListener obj)

### setName

    public void setName(java.lang.String val)

  Deprecated. Sets the name of the series.

  Overrides:
    `setName` in class `java.awt.Component`

### setSeriesName

    public void setSeriesName(java.lang.String val)

### getName

    public java.lang.String getName()

  Deprecated. Returns the name of the series.

  Overrides:
    `getName` in class `java.awt.Component`

### getSeriesName

    public java.lang.String getSeriesName()

### rebuildGraphicsDefinitions

    public abstract void rebuildGraphicsDefinitions()

  Updates features of the series to reflect the current widget settings as specified by the user.

### buildAttributes

    public abstract void buildAttributes()

  Constructs the widget by adding items to the LabelledList. Will be called in the middle of the SeriesAttributes constructor, and so certain instance variables may not yet have been initialized.

### reviseColor

    public java.awt.Color reviseColor(java.awt.Color c,
                                      double opacity)

  Given an opaque color and a desired opacity (from 0.0 to 1.0), returns a new color of the same tint but with the given opacity.

### getPlot

    public Plot getPlot()

  Returns the Chart's Plot.

### getGenerator

    public ChartGenerator getGenerator()

  Returns the ChartGenerator holding the series this SeriesAttributes is responsible for.

### getSeriesIndex

    public int getSeriesIndex()

  Returns the index of the series.

### setSeriesIndex

    public void setSeriesIndex(int val)

  Sets the index of the series -- Do NOT call this if you want to move the series order; instead call moveSeries in the Generator.

### getRenderer

    public XYItemRenderer getRenderer()

### setPlotVisible

    public void setPlotVisible(boolean val)

### isPlotVisible

    public boolean isPlotVisible()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD